#include <stdio.h>
#include <stdlib.h>

long long buff(long long n)
{ 
	while (n < 100000000000000000)
		n = n * 10;
	return n;
}

int main()
{
	long long a, b, c, a1, b1, c1;
	scanf("%lld", &a);
	scanf("%lld", &b);
	scanf("%lld", &c);
	a1 = buff(a);
	b1 = buff(b);
	c1 = buff(c);
	if (a == 1000000000000000000) a1 = a1 / 10;
	if (b == 1000000000000000000) b1 = b1 / 10;
	if (c == 1000000000000000000) c1 = c1 / 10;
	if (a1 > b1)
	{
		if (a1 > c1)
		{
			if (b1 > c1)
			{
				printf("%lld", a);
				printf("%lld", b);
				printf("%lld", c);
			}
			else
			{
				printf("%lld", a);
				printf("%lld", c);
				printf("%lld", b);
			}
		}
		else
		{
			printf("%lld", c);
			printf("%lld", a);
			printf("%lld", b);
		}
	}
	else
	{
		if (b1 > c1)
		{
			if (a1 > c1)
			{
				printf("%lld", b);
				printf("%lld", a);
				printf("%lld", c);
			}
			else
			{
				printf("%lld", b);
				printf("%lld", c);
				printf("%lld", a);
			}
		}
		else
		{
			printf("%lld", c);
			printf("%lld", b);
			printf("%lld", a);
		}
	}

	return 0;
}